Bug 16012 - usability of Update Viewer, Review pane
Summary: usability of Update Viewer, Review pane
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-19 08:50 UTC by Jack Tanner
Modified: 2012-01-05 10:18 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Tanner 2008-05-19 08:50:50 UTC
In no particular order, comments with reference to 0.1.12-10.20080505.fc9 :

- All fields in the detail view (Type, Version, Updates, etc.) should be copyable via mouse highlight.

- The Description field should be word-wrapped.

- Rename 'Version' field to 'Installed'.

- Rename 'Updates' field to 'Update', singular.

- The update type icon is too prominent. It could be a faded out background underneath the package name and description, for example.

- Security updates should be sorted first (just like they are in the Overview pane of Update Viewer).
Comment 1 Michal Nowak 2009-02-02 11:39:54 UTC
From frequent use of gpk-update-viewer I'd find some of the mentioned proposals useful; especially, the mouse-selectable/-copyable texts in fields and the word-wrapped Description field. Fedora pkg maintainers are asked to provide users useful information about the update: some packagers provides not only item-by-item list but also a real-word description in full-sentences in paragraphs and then one has to horizontally scroll, which I always found passion-killing.

gnome-packagekit-0.3.13-1.fc10.i386

What's your POV in this, Rich?
Comment 2 Jean-François Fortin Tam 2012-01-05 10:18:08 UTC
This is pretty much fixed these days. Feel free to file new bug reports for individual problems that remain with the latest version.


bug/show.html.tmpl processed on Mar 25, 2017 at 23:34:55.
(provided by the Example extension).